org.apache.calcite.avatica.proto

## Class Common.ColumnMetaData.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>
      - - org.apache.calcite.avatica.proto.Common.ColumnMetaData.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.ColumnMetaDataOrBuilder

Enclosing class:
  Common.ColumnMetaData

    public static final class Common.ColumnMetaData.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>
    implements Common.ColumnMetaDataOrBuilder

Protobuf type `ColumnMetaData`

### Field Summary

Fields
`private boolean` `autoIncrement_`
`private boolean` `caseSensitive_`
`private Object` `catalogName_`
`private Object` `columnClassName_`
`private Object` `columnName_`
`private boolean` `currency_`
`private boolean` `definitelyWritable_`
`private int` `displaySize_`
`private Object` `label_`
`private int` `nullable_`
`private int` `ordinal_`
`private int` `precision_`
`private boolean` `readOnly_`
`private int` `scale_`
`private Object` `schemaName_`
`private boolean` `searchable_`
`private boolean` `signed_`
`private Object` `tableName_`
`private Common.AvaticaType` `type_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder>` `typeBuilder_`
`private boolean` `writable_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.ColumnMetaData.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.ColumnMetaData` `build()`
`Common.ColumnMetaData` `buildPartial()`
`Common.ColumnMetaData.Builder` `clear()`
`Common.ColumnMetaData.Builder` `clearAutoIncrement()` `bool auto_increment = 2;`
`Common.ColumnMetaData.Builder` `clearCaseSensitive()` `bool case_sensitive = 3;`
`Common.ColumnMetaData.Builder` `clearCatalogName()` `string catalog_name = 15;`
`Common.ColumnMetaData.Builder` `clearColumnClassName()` `string column_class_name = 19;`
`Common.ColumnMetaData.Builder` `clearColumnName()` `string column_name = 10;`
`Common.ColumnMetaData.Builder` `clearCurrency()` `bool currency = 5;`
`Common.ColumnMetaData.Builder` `clearDefinitelyWritable()` `bool definitely_writable = 18;`
`Common.ColumnMetaData.Builder` `clearDisplaySize()` `uint32 display_size = 8;`
`Common.ColumnMetaData.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.ColumnMetaData.Builder` `clearLabel()` `string label = 9;`
`Common.ColumnMetaData.Builder` `clearNullable()` `uint32 nullable = 6;`
`Common.ColumnMetaData.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.ColumnMetaData.Builder` `clearOrdinal()` `uint32 ordinal = 1;`
`Common.ColumnMetaData.Builder` `clearPrecision()` `uint32 precision = 12;`
`Common.ColumnMetaData.Builder` `clearReadOnly()` `bool read_only = 16;`
`Common.ColumnMetaData.Builder` `clearScale()` `uint32 scale = 13;`
`Common.ColumnMetaData.Builder` `clearSchemaName()` `string schema_name = 11;`
`Common.ColumnMetaData.Builder` `clearSearchable()` `bool searchable = 4;`
`Common.ColumnMetaData.Builder` `clearSigned()` `bool signed = 7;`
`Common.ColumnMetaData.Builder` `clearTableName()` `string table_name = 14;`
`Common.ColumnMetaData.Builder` `clearType()` `.AvaticaType type = 20;`
`Common.ColumnMetaData.Builder` `clearWritable()` `bool writable = 17;`
`Common.ColumnMetaData.Builder` `clone()`
`boolean` `getAutoIncrement()` `bool auto_increment = 2;`
`boolean` `getCaseSensitive()` `bool case_sensitive = 3;`
`String` `getCatalogName()` `string catalog_name = 15;`
`com.google.protobuf.ByteString` `getCatalogNameBytes()` `string catalog_name = 15;`
`String` `getColumnClassName()` `string column_class_name = 19;`
`com.google.protobuf.ByteString` `getColumnClassNameBytes()` `string column_class_name = 19;`
`String` `getColumnName()` `string column_name = 10;`
`com.google.protobuf.ByteString` `getColumnNameBytes()` `string column_name = 10;`
`boolean` `getCurrency()` `bool currency = 5;`
`Common.ColumnMetaData` `getDefaultInstanceForType()`
`boolean` `getDefinitelyWritable()` `bool definitely_writable = 18;`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getDisplaySize()` `uint32 display_size = 8;`
`String` `getLabel()` `string label = 9;`
`com.google.protobuf.ByteString` `getLabelBytes()` `string label = 9;`
`int` `getNullable()` `uint32 nullable = 6;`
`int` `getOrdinal()` `uint32 ordinal = 1;`
`int` `getPrecision()` `uint32 precision = 12;`
`boolean` `getReadOnly()` `bool read_only = 16;`
`int` `getScale()` `uint32 scale = 13;`
`String` `getSchemaName()` `string schema_name = 11;`
`com.google.protobuf.ByteString` `getSchemaNameBytes()` `string schema_name = 11;`
`boolean` `getSearchable()` `bool searchable = 4;`
`boolean` `getSigned()` `bool signed = 7;`
`String` `getTableName()` `string table_name = 14;`
`com.google.protobuf.ByteString` `getTableNameBytes()` `string table_name = 14;`
`Common.AvaticaType` `getType()` `.AvaticaType type = 20;`
`Common.AvaticaType.Builder` `getTypeBuilder()` `.AvaticaType type = 20;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder>` `getTypeFieldBuilder()` `.AvaticaType type = 20;`
`Common.AvaticaTypeOrBuilder` `getTypeOrBuilder()` `.AvaticaType type = 20;`
`boolean` `getWritable()` `bool writable = 17;`
`boolean` `hasType()` `.AvaticaType type = 20;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.ColumnMetaData.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.ColumnMetaData.Builder` `mergeFrom(Common.ColumnMetaData other)`
`Common.ColumnMetaData.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.ColumnMetaData.Builder` `mergeType(Common.AvaticaType value)` `.AvaticaType type = 20;`
`Common.ColumnMetaData.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.ColumnMetaData.Builder` `setAutoIncrement(boolean value)` `bool auto_increment = 2;`
`Common.ColumnMetaData.Builder` `setCaseSensitive(boolean value)` `bool case_sensitive = 3;`
`Common.ColumnMetaData.Builder` `setCatalogName(String value)` `string catalog_name = 15;`
`Common.ColumnMetaData.Builder` `setCatalogNameBytes(com.google.protobuf.ByteString value)` `string catalog_name = 15;`
`Common.ColumnMetaData.Builder` `setColumnClassName(String value)` `string column_class_name = 19;`
`Common.ColumnMetaData.Builder` `setColumnClassNameBytes(com.google.protobuf.ByteString value)` `string column_class_name = 19;`
`Common.ColumnMetaData.Builder` `setColumnName(String value)` `string column_name = 10;`
`Common.ColumnMetaData.Builder` `setColumnNameBytes(com.google.protobuf.ByteString value)` `string column_name = 10;`
`Common.ColumnMetaData.Builder` `setCurrency(boolean value)` `bool currency = 5;`
`Common.ColumnMetaData.Builder` `setDefinitelyWritable(boolean value)` `bool definitely_writable = 18;`
`Common.ColumnMetaData.Builder` `setDisplaySize(int value)` `uint32 display_size = 8;`
`Common.ColumnMetaData.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.ColumnMetaData.Builder` `setLabel(String value)` `string label = 9;`
`Common.ColumnMetaData.Builder` `setLabelBytes(com.google.protobuf.ByteString value)` `string label = 9;`
`Common.ColumnMetaData.Builder` `setNullable(int value)` `uint32 nullable = 6;`
`Common.ColumnMetaData.Builder` `setOrdinal(int value)` `uint32 ordinal = 1;`
`Common.ColumnMetaData.Builder` `setPrecision(int value)` `uint32 precision = 12;`
`Common.ColumnMetaData.Builder` `setReadOnly(boolean value)` `bool read_only = 16;`
`Common.ColumnMetaData.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.ColumnMetaData.Builder` `setScale(int value)` `uint32 scale = 13;`
`Common.ColumnMetaData.Builder` `setSchemaName(String value)` `string schema_name = 11;`
`Common.ColumnMetaData.Builder` `setSchemaNameBytes(com.google.protobuf.ByteString value)` `string schema_name = 11;`
`Common.ColumnMetaData.Builder` `setSearchable(boolean value)` `bool searchable = 4;`
`Common.ColumnMetaData.Builder` `setSigned(boolean value)` `bool signed = 7;`
`Common.ColumnMetaData.Builder` `setTableName(String value)` `string table_name = 14;`
`Common.ColumnMetaData.Builder` `setTableNameBytes(com.google.protobuf.ByteString value)` `string table_name = 14;`
`Common.ColumnMetaData.Builder` `setType(Common.AvaticaType.Builder builderForValue)` `.AvaticaType type = 20;`
`Common.ColumnMetaData.Builder` `setType(Common.AvaticaType value)` `.AvaticaType type = 20;`
`Common.ColumnMetaData.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.ColumnMetaData.Builder` `setWritable(boolean value)` `bool writable = 17;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### ordinal_

    private int ordinal_

#### autoIncrement_

    private boolean autoIncrement_

#### caseSensitive_

    private boolean caseSensitive_

#### searchable_

    private boolean searchable_

#### currency_

    private boolean currency_

#### nullable_

    private int nullable_

#### signed_

    private boolean signed_

#### displaySize_

    private int displaySize_

#### label_

    private Object label_

#### columnName_

    private Object columnName_

#### schemaName_

    private Object schemaName_

#### precision_

    private int precision_

#### scale_

    private int scale_

#### tableName_

    private Object tableName_

#### catalogName_

    private Object catalogName_

#### readOnly_

    private boolean readOnly_

#### writable_

    private boolean writable_

#### definitelyWritable_

    private boolean definitelyWritable_

#### columnClassName_

    private Object columnClassName_

#### type_

    private Common.AvaticaType type_

#### typeBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder> typeBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.ColumnMetaData.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### getDefaultInstanceForType

    public Common.ColumnMetaData getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.ColumnMetaData build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.ColumnMetaData buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.ColumnMetaData.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### setField

    public Common.ColumnMetaData.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### clearField

    public Common.ColumnMetaData.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### clearOneof

    public Common.ColumnMetaData.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### setRepeatedField

    public Common.ColumnMetaData.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          int index,
                                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### addRepeatedField

    public Common.ColumnMetaData.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### mergeFrom

    public Common.ColumnMetaData.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ColumnMetaData.Builder>`

#### mergeFrom

    public Common.ColumnMetaData.Builder mergeFrom(Common.ColumnMetaData other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### mergeFrom

    public Common.ColumnMetaData.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ColumnMetaData.Builder>`
Throws:
  `IOException`

#### getOrdinal

    public int getOrdinal()

`uint32 ordinal = 1;`

Specified by:
  `getOrdinal` in interface `Common.ColumnMetaDataOrBuilder`

#### setOrdinal

    public Common.ColumnMetaData.Builder setOrdinal(int value)

`uint32 ordinal = 1;`

#### clearOrdinal

    public Common.ColumnMetaData.Builder clearOrdinal()

`uint32 ordinal = 1;`

#### getAutoIncrement

    public boolean getAutoIncrement()

`bool auto_increment = 2;`

Specified by:
  `getAutoIncrement` in interface `Common.ColumnMetaDataOrBuilder`

#### setAutoIncrement

    public Common.ColumnMetaData.Builder setAutoIncrement(boolean value)

`bool auto_increment = 2;`

#### clearAutoIncrement

    public Common.ColumnMetaData.Builder clearAutoIncrement()

`bool auto_increment = 2;`

#### getCaseSensitive

    public boolean getCaseSensitive()

`bool case_sensitive = 3;`

Specified by:
  `getCaseSensitive` in interface `Common.ColumnMetaDataOrBuilder`

#### setCaseSensitive

    public Common.ColumnMetaData.Builder setCaseSensitive(boolean value)

`bool case_sensitive = 3;`

#### clearCaseSensitive

    public Common.ColumnMetaData.Builder clearCaseSensitive()

`bool case_sensitive = 3;`

#### getSearchable

    public boolean getSearchable()

`bool searchable = 4;`

Specified by:
  `getSearchable` in interface `Common.ColumnMetaDataOrBuilder`

#### setSearchable

    public Common.ColumnMetaData.Builder setSearchable(boolean value)

`bool searchable = 4;`

#### clearSearchable

    public Common.ColumnMetaData.Builder clearSearchable()

`bool searchable = 4;`

#### getCurrency

    public boolean getCurrency()

`bool currency = 5;`

Specified by:
  `getCurrency` in interface `Common.ColumnMetaDataOrBuilder`

#### setCurrency

    public Common.ColumnMetaData.Builder setCurrency(boolean value)

`bool currency = 5;`

#### clearCurrency

    public Common.ColumnMetaData.Builder clearCurrency()

`bool currency = 5;`

#### getNullable

    public int getNullable()

`uint32 nullable = 6;`

Specified by:
  `getNullable` in interface `Common.ColumnMetaDataOrBuilder`

#### setNullable

    public Common.ColumnMetaData.Builder setNullable(int value)

`uint32 nullable = 6;`

#### clearNullable

    public Common.ColumnMetaData.Builder clearNullable()

`uint32 nullable = 6;`

#### getSigned

    public boolean getSigned()

`bool signed = 7;`

Specified by:
  `getSigned` in interface `Common.ColumnMetaDataOrBuilder`

#### setSigned

    public Common.ColumnMetaData.Builder setSigned(boolean value)

`bool signed = 7;`

#### clearSigned

    public Common.ColumnMetaData.Builder clearSigned()

`bool signed = 7;`

#### getDisplaySize

    public int getDisplaySize()

`uint32 display_size = 8;`

Specified by:
  `getDisplaySize` in interface `Common.ColumnMetaDataOrBuilder`

#### setDisplaySize

    public Common.ColumnMetaData.Builder setDisplaySize(int value)

`uint32 display_size = 8;`

#### clearDisplaySize

    public Common.ColumnMetaData.Builder clearDisplaySize()

`uint32 display_size = 8;`

#### getLabel

    public String getLabel()

`string label = 9;`

Specified by:
  `getLabel` in interface `Common.ColumnMetaDataOrBuilder`

#### getLabelBytes

    public com.google.protobuf.ByteString getLabelBytes()

`string label = 9;`

Specified by:
  `getLabelBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setLabel

    public Common.ColumnMetaData.Builder setLabel(String value)

`string label = 9;`

#### clearLabel

    public Common.ColumnMetaData.Builder clearLabel()

`string label = 9;`

#### setLabelBytes

    public Common.ColumnMetaData.Builder setLabelBytes(com.google.protobuf.ByteString value)

`string label = 9;`

#### getColumnName

    public String getColumnName()

`string column_name = 10;`

Specified by:
  `getColumnName` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnNameBytes

    public com.google.protobuf.ByteString getColumnNameBytes()

`string column_name = 10;`

Specified by:
  `getColumnNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setColumnName

    public Common.ColumnMetaData.Builder setColumnName(String value)

`string column_name = 10;`

#### clearColumnName

    public Common.ColumnMetaData.Builder clearColumnName()

`string column_name = 10;`

#### setColumnNameBytes

    public Common.ColumnMetaData.Builder setColumnNameBytes(com.google.protobuf.ByteString value)

`string column_name = 10;`

#### getSchemaName

    public String getSchemaName()

`string schema_name = 11;`

Specified by:
  `getSchemaName` in interface `Common.ColumnMetaDataOrBuilder`

#### getSchemaNameBytes

    public com.google.protobuf.ByteString getSchemaNameBytes()

`string schema_name = 11;`

Specified by:
  `getSchemaNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setSchemaName

    public Common.ColumnMetaData.Builder setSchemaName(String value)

`string schema_name = 11;`

#### clearSchemaName

    public Common.ColumnMetaData.Builder clearSchemaName()

`string schema_name = 11;`

#### setSchemaNameBytes

    public Common.ColumnMetaData.Builder setSchemaNameBytes(com.google.protobuf.ByteString value)

`string schema_name = 11;`

#### getPrecision

    public int getPrecision()

`uint32 precision = 12;`

Specified by:
  `getPrecision` in interface `Common.ColumnMetaDataOrBuilder`

#### setPrecision

    public Common.ColumnMetaData.Builder setPrecision(int value)

`uint32 precision = 12;`

#### clearPrecision

    public Common.ColumnMetaData.Builder clearPrecision()

`uint32 precision = 12;`

#### getScale

    public int getScale()

`uint32 scale = 13;`

Specified by:
  `getScale` in interface `Common.ColumnMetaDataOrBuilder`

#### setScale

    public Common.ColumnMetaData.Builder setScale(int value)

`uint32 scale = 13;`

#### clearScale

    public Common.ColumnMetaData.Builder clearScale()

`uint32 scale = 13;`

#### getTableName

    public String getTableName()

`string table_name = 14;`

Specified by:
  `getTableName` in interface `Common.ColumnMetaDataOrBuilder`

#### getTableNameBytes

    public com.google.protobuf.ByteString getTableNameBytes()

`string table_name = 14;`

Specified by:
  `getTableNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setTableName

    public Common.ColumnMetaData.Builder setTableName(String value)

`string table_name = 14;`

#### clearTableName

    public Common.ColumnMetaData.Builder clearTableName()

`string table_name = 14;`

#### setTableNameBytes

    public Common.ColumnMetaData.Builder setTableNameBytes(com.google.protobuf.ByteString value)

`string table_name = 14;`

#### getCatalogName

    public String getCatalogName()

`string catalog_name = 15;`

Specified by:
  `getCatalogName` in interface `Common.ColumnMetaDataOrBuilder`

#### getCatalogNameBytes

    public com.google.protobuf.ByteString getCatalogNameBytes()

`string catalog_name = 15;`

Specified by:
  `getCatalogNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setCatalogName

    public Common.ColumnMetaData.Builder setCatalogName(String value)

`string catalog_name = 15;`

#### clearCatalogName

    public Common.ColumnMetaData.Builder clearCatalogName()

`string catalog_name = 15;`

#### setCatalogNameBytes

    public Common.ColumnMetaData.Builder setCatalogNameBytes(com.google.protobuf.ByteString value)

`string catalog_name = 15;`

#### getReadOnly

    public boolean getReadOnly()

`bool read_only = 16;`

Specified by:
  `getReadOnly` in interface `Common.ColumnMetaDataOrBuilder`

#### setReadOnly

    public Common.ColumnMetaData.Builder setReadOnly(boolean value)

`bool read_only = 16;`

#### clearReadOnly

    public Common.ColumnMetaData.Builder clearReadOnly()

`bool read_only = 16;`

#### getWritable

    public boolean getWritable()

`bool writable = 17;`

Specified by:
  `getWritable` in interface `Common.ColumnMetaDataOrBuilder`

#### setWritable

    public Common.ColumnMetaData.Builder setWritable(boolean value)

`bool writable = 17;`

#### clearWritable

    public Common.ColumnMetaData.Builder clearWritable()

`bool writable = 17;`

#### getDefinitelyWritable

    public boolean getDefinitelyWritable()

`bool definitely_writable = 18;`

Specified by:
  `getDefinitelyWritable` in interface `Common.ColumnMetaDataOrBuilder`

#### setDefinitelyWritable

    public Common.ColumnMetaData.Builder setDefinitelyWritable(boolean value)

`bool definitely_writable = 18;`

#### clearDefinitelyWritable

    public Common.ColumnMetaData.Builder clearDefinitelyWritable()

`bool definitely_writable = 18;`

#### getColumnClassName

    public String getColumnClassName()

`string column_class_name = 19;`

Specified by:
  `getColumnClassName` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnClassNameBytes

    public com.google.protobuf.ByteString getColumnClassNameBytes()

`string column_class_name = 19;`

Specified by:
  `getColumnClassNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### setColumnClassName

    public Common.ColumnMetaData.Builder setColumnClassName(String value)

`string column_class_name = 19;`

#### clearColumnClassName

    public Common.ColumnMetaData.Builder clearColumnClassName()

`string column_class_name = 19;`

#### setColumnClassNameBytes

    public Common.ColumnMetaData.Builder setColumnClassNameBytes(com.google.protobuf.ByteString value)

`string column_class_name = 19;`

#### hasType

    public boolean hasType()

`.AvaticaType type = 20;`

Specified by:
  `hasType` in interface `Common.ColumnMetaDataOrBuilder`

#### getType

    public Common.AvaticaType getType()

`.AvaticaType type = 20;`

Specified by:
  `getType` in interface `Common.ColumnMetaDataOrBuilder`

#### setType

    public Common.ColumnMetaData.Builder setType(Common.AvaticaType value)

`.AvaticaType type = 20;`

#### setType

    public Common.ColumnMetaData.Builder setType(Common.AvaticaType.Builder builderForValue)

`.AvaticaType type = 20;`

#### mergeType

    public Common.ColumnMetaData.Builder mergeType(Common.AvaticaType value)

`.AvaticaType type = 20;`

#### clearType

    public Common.ColumnMetaData.Builder clearType()

`.AvaticaType type = 20;`

#### getTypeBuilder

    public Common.AvaticaType.Builder getTypeBuilder()

`.AvaticaType type = 20;`

#### getTypeOrBuilder

    public Common.AvaticaTypeOrBuilder getTypeOrBuilder()

`.AvaticaType type = 20;`

Specified by:
  `getTypeOrBuilder` in interface `Common.ColumnMetaDataOrBuilder`

#### getTypeFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder> getTypeFieldBuilder()

`.AvaticaType type = 20;`

#### setUnknownFields

    public final Common.ColumnMetaData.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`

#### mergeUnknownFields

    public final Common.ColumnMetaData.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnMetaData.Builder>`